Package com.tableau.hyperapi

# Enum Class Persistence

java.lang.Object
java.lang.Enum<Persistence>
com.tableau.hyperapi.Persistence

All Implemented Interfaces:
  `Serializable`, `Comparable<Persistence>`, `Constable`

public enum Persistence extends Enum<Persistence>
The persistence level of a table.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PERMANENT`
  A permanent table.
  `TEMPORARY`
  A temporary table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Persistence`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Persistence[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PERMANENT

    public static final Persistence PERMANENT
    A permanent table.

  - ### TEMPORARY

    public static final Persistence TEMPORARY
    A temporary table. The table is only visible on the connection it was created on and is dropped when this connection is closed.

- ## Method Details

  - ### values

    public static Persistence[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Persistence valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null